Capture GIF from URL
curl --request POST \
--url https://api.pictify.io/gif/capture \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"width": 800,
"height": 600,
"quality": "medium",
"frameDurationSeconds": 15.5
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
width: 800,
height: 600,
quality: 'medium',
frameDurationSeconds: 15.5
})
};
fetch('https://api.pictify.io/gif/capture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/gif/capture"
payload = {
"url": "<string>",
"width": 800,
"height": 600,
"quality": "medium",
"frameDurationSeconds": 15.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/gif/capture"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"width\": 800,\n \"height\": 600,\n \"quality\": \"medium\",\n \"frameDurationSeconds\": 15.5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/gif/capture")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"width\": 800,\n \"height\": 600,\n \"quality\": \"medium\",\n \"frameDurationSeconds\": 15.5\n}"
response = http.request(request)
puts response.read_body{
"gif": {
"url": "<string>",
"uid": "<string>",
"width": 123,
"height": 123,
"animationLength": 123
}
}GIFs
Capture GIF from URL
Record a GIF from a live webpage
POST
/
gif
/
capture
Capture GIF from URL
curl --request POST \
--url https://api.pictify.io/gif/capture \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"width": 800,
"height": 600,
"quality": "medium",
"frameDurationSeconds": 15.5
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
width: 800,
height: 600,
quality: 'medium',
frameDurationSeconds: 15.5
})
};
fetch('https://api.pictify.io/gif/capture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/gif/capture"
payload = {
"url": "<string>",
"width": 800,
"height": 600,
"quality": "medium",
"frameDurationSeconds": 15.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/gif/capture"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"width\": 800,\n \"height\": 600,\n \"quality\": \"medium\",\n \"frameDurationSeconds\": 15.5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/gif/capture")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"width\": 800,\n \"height\": 600,\n \"quality\": \"medium\",\n \"frameDurationSeconds\": 15.5\n}"
response = http.request(request)
puts response.read_body{
"gif": {
"url": "<string>",
"uid": "<string>",
"width": 123,
"height": 123,
"animationLength": 123
}
}Authorizations
API key obtained from the Pictify dashboard
Body
application/json
URL to capture
Required range:
1 <= x <= 2000Required range:
1 <= x <= 2000Quality preset
Available options:
low, medium, high Recording duration in seconds
Required range:
1 <= x <= 30Response
200 - application/json
GIF captured
Show child attributes
Show child attributes
⌘I